#delimit;
set more 1;
set memory 1250m;
log using /volumes/ddisk/immigration/programs/chapter_4/aggregate/wage_smsa_mf.log, replace;

*USES WAGES, RATHER THAN EARNED INCOME;
*DELETES GROUP QUARTERS, KEEPS MEN IN LF WITH POSITIVE WEEKS, HOURS, EARNINGS,
*DELETES ENROLLED;

*NOTE 1970 SMSA DATA IS NOT COMPLETE;

*REDEFINES WEIGHT AS PERWT TIMES WEEKS WORKED;

use /volumes/ddisk/ipums5/ipums70.dta, clear;

drop if gq==0 | gq==3 | gq==4; 
keep if age>=18 & age<=64;
*keep if sex==1;
keep if wkswork2>0 ;
replace school=higraded - (int(higraded/10))*10;
drop if school==2;
*drop if qincwage>=1 & qincwage<=4;
keep if classwkrd>=22 & classwkrd<=28;

keep if datanum==3;
/*
*RESCALE perwt DUE TO 3% SAMPLE;
replace perwt=perwt/3;
*/

generate smsa=int(metaread/10);
drop if smsa==0;
summ smsa;

generate byte imm=(citizen==2 | citizen==3);
drop citizen;
*keep if imm==0;

generate weeks=8.0*(wkswork2==1) + 20.8*(wkswork2==2) + 33.1*(wkswork2==3) 
	+ 42.4*(wkswork2==4) + 48.3*(wkswork2==5) + 51.9*(wkswork2==6) ;
generate hours=8.7*(hrswork2==1) + 20.9*(hrswork2==2) + 31.1*(hrswork2==3) 
	+ 36.5*(hrswork2==4) + 40*(hrswork2==5) + 45.3*(hrswork2==6) 
	+ 51.8*(hrswork2==7) + 68.1*(hrswork2==8) ;
drop if weeks==0;
drop if hours==0;

replace incwage=50000*1.5 if incwage==50000;
keep if incwage>0;
replace incwage=incwage*(166.6/36.7);
generate lweekly=log(incwage/weeks);
generate lannual=log(incwage);
generate lwage=log(incwage/(weeks*hours));

/*
replace incwage=50000*1.5 if incwage==50000;
replace incbus=50000*1.5 if incbus==50000;
replace incfarm=50000*1.5 if incfarm==50000;
replace incearn=incwage+incbus+incfarm;
keep if incearn>0;
replace incearn=incearn*(166.6/36.7);
generate lweekly=log(incearn/weeks);
generate lannual=log(incearn);
generate lweeks=log(weeks);
drop wkswork2 hrswork2 weeks incearn ;
*/

generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
replace exper=age-24 if edcode==5;
keep if exper>=1 & exper<=40;

generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10)
		+3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30)
		+7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

generate weight=perwt*(weeks/52);

collapse (mean) lweekly lannual lwage 
	(count) sizew=perwt (rawsum) sumweight=weight 
	(sd) slweekly=lweekly slannual=lannual slwage=lwage 
	[aw=weight], 
     by(smsa imm edcode expcode);
generate survey=1970;
sort survey smsa imm edcode expcode;

save /volumes/ddisk/data/junk70.dta, replace;



use /volumes/ddisk/ipums5/ipums80.dta, clear;

drop if gq==0 | gq==3 | gq==4; 
keep if age>=18 & age<=64;
*keep if sex==1;
keep if wkswork1>0 ;
drop if school==2;
*drop if qincwage>=1 & qincwage<=4;
keep if classwkrd>=22 & classwkrd<=28;

generate smsa=int(metaread/10);
drop if smsa==0;
summ smsa;

generate byte imm=(citizen==2 | citizen==3);
*keep if imm==0;

summ wkswork1 uhrswork incwage;
generate weeks=wkswork1;
drop if weeks==0;
generate hours=uhrswork;
drop if hours==0;

replace incwage=75000*1.5 if incwage==75000;
keep if incwage>0;
replace incwage=incwage*(166.6/72.6);
generate lweekly=log(incwage/weeks);
generate lannual=log(incwage);
generate lwage=log(incwage/(weeks*hours));

/*
replace incwage=75000*1.5 if incwage==75000;
replace incbus=75000*1.5 if incbus==75000;
replace incfarm=75000*1.5 if incfarm==75000;
replace incearn=incwage+incbus+incfarm;
keep if incearn>0;
replace incearn=incearn*(166.6/72.6);
generate lweekly=log(incearn/wkswork1);
generate lannual=log(incearn);
generate lweeks=log(wkswork1);
drop wkswork1 uhrswork incearn ;
*/

generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
replace exper=age-24 if edcode==5;
keep if exper>=1 & exper<=40;

generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10)
		+3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30)
		+7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

generate weight=perwt*(weeks/52);

collapse (mean) lweekly lannual lwage 
	(count) sizew=perwt (rawsum) sumweight=weight 
	(sd) slweekly=lweekly slannual=lannual slwage=lwage 
	[aw=weight], 
     by(smsa imm edcode expcode);
generate survey=1980;
sort survey smsa imm edcode expcode;

save /volumes/ddisk/data/junk80.dta, replace;




use /volumes/ddisk/ipums5/ipums90.dta, clear;

drop if gq==0 | gq==3 | gq==4; 
keep if age>=18 & age<=64;
*keep if sex==1;
keep if wkswork1>0;
drop if school==2;
*drop if qincwage>=1 & qincwage<=4;
keep if classwkrd>=22 & classwkrd<=28;

generate smsa=int(metaread/10);
drop if smsa==0;
summ smsa;

generate byte imm=(citizen==2 | citizen==3);
*keep if imm==0;

summ wkswork1 uhrswork incearn;
generate weeks=wkswork1;
drop if weeks==0;
generate hours=uhrswork;
drop if hours==0;

keep if incwage>0;
replace incwage=incwage*(166.6/124.0);
generate lweekly=log(incwage/weeks);
generate lannual=log(incwage);
generate lwage=log(incwage/(weeks*hours));

/*
replace incearn=incearn*(166.6/124.0);
generate lweekly=log(incearn/wkswork1);
generate lannual=log(incearn);
generate lweeks=log(wkswork1);
drop wkswork1 uhrswork incearn ;
*/

generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
replace exper=age-24 if edcode==5;
keep if exper>=1 & exper<=40;

generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10)
		+3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30)
		+7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

generate weight=perwt*(weeks/52);

collapse (mean) lweekly lannual lwage 
	(count) sizew=perwt (rawsum) sumweight=weight 
	(sd) slweekly=lweekly slannual=lannual slwage=lwage 
	[aw=weight], 
     by(smsa imm edcode expcode);
generate survey=1990;
sort survey smsa imm edcode expcode;

save /volumes/ddisk/data/junk90.dta, replace;



use /volumes/ddisk/ipums5/ipums00.dta, clear;

drop if gq==0 | gq==3 | gq==4; 
keep if age>=18 & age<=64;
*keep if sex==1;
keep if wkswork1>0;
drop if school==2;
*drop if qincwage>=1 & qincwage<=4;
keep if classwkrd>=22 & classwkrd<=28;

generate smsa=int(metaread/10);
drop if smsa==0;
summ smsa;

generate byte imm=(citizen==2 | citizen==3);
*keep if imm==0;

summ wkswork1 uhrswork incearn;
generate weeks=wkswork1;
drop if weeks==0;
generate hours=uhrswork;
drop if hours==0;

keep if incwage>0;
replace incwage=incwage*(166.6/166.0);
generate lweekly=log(incwage/weeks);
generate lannual=log(incwage);
generate lwage=log(incwage/(weeks*hours));

/*
replace incearn=incearn*(166.6/166.6);
generate lweekly=log(incearn/wkswork1);
generate lweeks=log(wkswork1);
generate lannual=log(incearn);
drop wkswork1 uhrswork incearn ;
*/

generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
replace exper=age-24 if edcode==5;
keep if exper>=1 & exper<=40;

generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10)
		+3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30)
		+7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

generate weight=perwt*(weeks/52);

collapse (mean) lweekly lannual lwage 
	(count) sizew=perwt (rawsum) sumweight=weight 
	(sd) slweekly=lweekly slannual=lannual slwage=lwage 
	[aw=weight], 
     by(smsa imm edcode expcode);
generate survey=2000;
sort survey smsa imm edcode expcode;

save /volumes/ddisk/data/junk00.dta, replace;


use /volumes/ddisk/ipums5/acs0711.dta, clear;

*POOLED 2008-2010 FROM IPUMS DEFLATES EARNINGS TO 2010 LEVELS;

drop if gq==0 | gq==3 | gq==4; 
keep if age>=18 & age<=64;
*keep if sex==1;
keep if wkswork2>0;
drop if school==2;
*drop if qincwage>=1 & qincwage<=4;
keep if classwkrd>=22 & classwkrd<=28;

generate smsa=int(metaread/10);
drop if smsa==0;
summ smsa;

generate byte imm=(citizen==2 | citizen==3);
*keep if imm==0;

summ wkswork2 uhrswork incearn;
generate weeks=7.4*(wkswork2==1) + 21.3*(wkswork2==2) + 33.1*(wkswork2==3) 
	+ 42.4*(wkswork2==4) + 48.2*(wkswork2==5) + 51.9*(wkswork2==6) ;
drop if weeks==0;
generate hours=uhrswork;
drop if hours==0;

keep if incwage>0;
replace incwage=incwage*(166.6/224.9);
generate lweekly=log(incwage/weeks);
generate lannual=log(incwage);
generate lwage=log(incwage/(weeks*hours));

/*
replace incearn=incearn*(166.6/224.9);
generate lweekly=log(incearn/wkswork2);
generate lweeks=log(wkswork2);
generate lannual=log(incearn);
drop wkswork1 uhrswork incearn ;
*/

generate byte edcode=1*(educd<=50) + 2*(educd>=60 & educd<=64)
	+ 3*(educd>=65 & educd<=90) + 4*(educd==100 | educd==101) + 5*(educd>=110);

generate exper=age-17 if edcode==1;
replace exper=age-19 if edcode==2;
replace exper=age-21 if edcode==3;
replace exper=age-23 if edcode==4;
replace exper=age-24 if edcode==5;
keep if exper>=1 & exper<=40;

generate expcode=1*(exper>=1 & exper<=5) + 2*(exper>=6 & exper<=10)
		+3*(exper>=11 & exper<=15) + 4*(exper>=16 & exper<=20)
		+5*(exper>=21 & exper<=25) + 6*(exper>=26 & exper<=30)
		+7*(exper>=31 & exper<=35) + 8*(exper>=36 & exper<=40);

generate weight=perwt*(weeks/52);

collapse (mean) lweekly lannual lwage 
	(count) sizew=perwt (rawsum) sumweight=weight 
	(sd) slweekly=lweekly slannual=lannual slwage=lwage 
	[aw=weight], 
     by(smsa imm edcode expcode);
generate survey=2010;
sort survey smsa imm edcode expcode;

save /volumes/ddisk/data/junk07.dta, replace;

use /volumes/ddisk/data/junk70.dta;
append using /volumes/ddisk/data/junk80.dta;
append using /volumes/ddisk/data/junk90.dta;
append using /volumes/ddisk/data/junk00.dta;
append using /volumes/ddisk/data/junk07.dta;

sort survey smsa imm edcode expcode;

save /volumes/ddisk/immigration/programs/chapter_4/aggregate/wage_smsa_mf.dta, replace;

log close;

