#delimit ;
set more 1;
set matsize 750;
log using /volumes/ddisk/immigration/programs/chapter_4/Figure_4_2.log, replace;

use /volumes/ddisk/immigration/programs/chapter_4/aggregate/wage_nat_m.dta, clear;
sort survey edcode expcode;
merge survey edcode expcode using /volumes/ddisk/immigration/programs/chapter_4/aggregate/count_nat_mf.dta;
drop _merge;
sort survey imm edcode expcode;

keep if imm==0;

egen tobs=sum(sizew), by(survey);
generate weight=sizew/tobs;
tabulate survey, sum(weight);

generate lannhrs=lannual-lwage;
generate code1=survey*10 + edcode;
generate code2=survey*100 + expcode;
generate code3=expcode*10 + edcode;
tabulate edcode, gen(educ);
tabulate survey, gen(year);
tabulate expcode, gen(xp);
tabulate code1, gen(inter);
tabulate code2, gen(intra);
tabulate code3, gen(extra);

generate percent=immiglf/(immiglf+nativelf);
generate ppercent=pimmig/(pimmig+pnative);
generate lnative=log(native);
generate pimm=immiglf/nativelf;

regress lweekly year* extra*;
predict what, resid;
regress percent year* extra*;
predict phat, resid;

sort survey edcode expcode;

list survey edcode expcode what phat, noobs separator(0);

log close;