#delimit ;
set more 1;
clear matrix;
clear mata;
set matsize 6500;
set maxvar 6500;
log using /volumes/ddisk/immigration/programs/chapter_4/Table_4_2_state.log, replace;

*SET 1, USES MALE EARNINGS, AND M&F COUNTS;

use /volumes/ddisk/immigration/programs/chapter_4/aggregate/wage_state_m.dta, clear;
sort survey state edcode expcode;
merge survey state edcode expcode using /volumes/ddisk/immigration/programs/chapter_4/aggregate/count_state_mf.dta;
drop _merge;

keep if imm==0;
drop imm;
sort survey state edcode expcode;

egen tobs=sum(sizew), by(survey);
generate weight=sizew/tobs;
tabulate survey, sum(weight);

tabulate edcode, gen(educ);
tabulate survey, gen(year);
tabulate expcode, gen(xp);
tabulate state, gen(reg);

generate ppercent=pimmig/(pimmig+pnative);
generate npercent=nimmig/(nimmig+nnative);
generate percentlf=immiglf/(immiglf+nativelf);
tabulate survey [aw=weight], sum(ppercent);
tabulate survey [aw=weight], sum(npercent);
tabulate survey [aw=weight], sum(percentlf);

generate skill=edcode*10 + expcode;
tab skill, gen(edxp);
generate double newcode1=survey*100 + state;
generate double newcode2=survey*100 + skill;
generate double newcode3=state*100 + skill;

generate code1=survey*10 + edcode;
generate code2=survey*100 + expcode;
generate code3=expcode*10 + edcode;
tabulate code1, gen(inter);
tabulate code2, gen(intra);
tabulate code3, gen(extra);

quietly tabulate newcode1, gen(c1c);
quietly tabulate newcode2, gen(c2c);
*quietly tabulate newcode3, gen(c3c);


*LONGITUDINAL REGRESSIONS USE ALL AVAILABLE 1960-2010 DATA;

areg lweekly percentlf c1c* c2c* [aw=weight], absorb(newcode3) cluster(newcode3);









*SET 2, USES M&F EARNINGS, AND M&F COUNTS;

use /volumes/ddisk/immigration/programs/chapter_4/aggregate/wage_state_mf.dta, clear;
sort survey state edcode expcode;
merge survey state edcode expcode using /volumes/ddisk/immigration/programs/chapter_4/aggregate/count_state_mf.dta;
drop _merge;

keep if imm==0;
drop imm;
sort survey state edcode expcode;

egen tobs=sum(sizew), by(survey);
generate weight=sizew/tobs;
tabulate survey, sum(weight);

tabulate edcode, gen(educ);
tabulate survey, gen(year);
tabulate expcode, gen(xp);
tabulate state, gen(reg);

generate ppercent=pimmig/(pimmig+pnative);
generate npercent=nimmig/(nimmig+nnative);
generate percentlf=immiglf/(immiglf+nativelf);
tabulate survey [aw=weight], sum(ppercent);
tabulate survey [aw=weight], sum(npercent);
tabulate survey [aw=weight], sum(percentlf);

generate skill=edcode*10 + expcode;
tab skill, gen(edxp);
generate double newcode1=survey*100 + state;
generate double newcode2=survey*100 + skill;
generate double newcode3=state*100 + skill;

generate code1=survey*10 + edcode;
generate code2=survey*100 + expcode;
generate code3=expcode*10 + edcode;
tabulate code1, gen(inter);
tabulate code2, gen(intra);
tabulate code3, gen(extra);

quietly tabulate newcode1, gen(c1c);
quietly tabulate newcode2, gen(c2c);
*quietly tabulate newcode3, gen(c3c);


*LONGITUDINAL REGRESSIONS USE ALL AVAILABLE 1960-2010 DATA;

areg lweekly percentlf c1c* c2c* [aw=weight], absorb(newcode3) cluster(newcode3);





log close;