#delimit ;
set more 1;
set matsize 750;
log using /volumes/ddisk/immigration/programs/chapter_4/Table_4_5.log, replace;

*USES COUNTS FOR MEN AND WOMEN;

*SET 1: USES M WAGE, AND TOTAL MF COUNTS;

use /volumes/ddisk/immigration/programs/chapter_4/aggregate/wage_nat_m.dta, clear;
sort survey edcode expcode;
merge survey edcode expcode using /volumes/ddisk/immigration/programs/chapter_4/aggregate/count_nat_mf.dta;
drop _merge;
sort survey imm edcode expcode;

keep if imm==0;

egen tobs=sum(sizew), by(survey);
generate weight=sizew/tobs;
tabulate survey, sum(weight);

generate lannhrs=lannual-lwage;
generate code1=survey*10 + edcode;
generate code2=survey*100 + expcode;
generate code3=expcode*10 + edcode;
tabulate edcode, gen(educ);
tabulate survey, gen(year);
tabulate expcode, gen(xp);
tabulate code1, gen(inter);
tabulate code2, gen(intra);
tabulate code3, gen(extra);

generate percent=immiglf/(immiglf+nativelf);

areg lweekly percent year* educ* xp* inter* intra* [aw=weight], absorb(code3) cluster(code3);
areg lweekly percent year* educ* xp* inter* intra* [aw=weight] if edcode>=2,
	absorb(code3) cluster(code3);
areg lweekly percent year* educ* xp* inter* intra* [aw=weight] if edcode<=4,
	absorb(code3) cluster(code3);
areg lweekly percent year* educ* xp* inter* intra* [aw=weight] if survey<=1990,
	absorb(code3) cluster(code3);
areg lweekly percent year* educ* xp* inter* intra* [aw=weight] if survey>=1990,
	absorb(code3) cluster(code3);

collapse (sum) immiglf nativelf, by(survey edcode);

generate percent=immiglf/(immiglf+nativelf);
tabulate survey edcode, sum(percent) me noobs nofreq;




*SET 2: USES MF WAGE, AND TOTAL MF COUNTS;

use /volumes/ddisk/immigration/programs/chapter_4/aggregate/wage_nat_mf.dta, clear;
sort survey edcode expcode;
merge survey edcode expcode using /volumes/ddisk/immigration/programs/chapter_4/aggregate/count_nat_mf.dta;
drop _merge;
sort survey imm edcode expcode;

keep if imm==0;

egen tobs=sum(sizew), by(survey);
generate weight=sizew/tobs;
tabulate survey, sum(weight);

generate lannhrs=lannual-lwage;
generate code1=survey*10 + edcode;
generate code2=survey*100 + expcode;
generate code3=expcode*10 + edcode;
tabulate edcode, gen(educ);
tabulate survey, gen(year);
tabulate expcode, gen(xp);
tabulate code1, gen(inter);
tabulate code2, gen(intra);
tabulate code3, gen(extra);

generate percent=immiglf/(immiglf+nativelf);

areg lweekly percent year* educ* xp* inter* intra* [aw=weight], absorb(code3) cluster(code3);
areg lweekly percent year* educ* xp* inter* intra* [aw=weight] if edcode>=2,
	absorb(code3) cluster(code3);
areg lweekly percent year* educ* xp* inter* intra* [aw=weight] if edcode<=4,
	absorb(code3) cluster(code3);
areg lweekly percent year* educ* xp* inter* intra* [aw=weight] if survey<=1990,
	absorb(code3) cluster(code3);
areg lweekly percent year* educ* xp* inter* intra* [aw=weight] if survey>=1990,
	absorb(code3) cluster(code3);

collapse (sum) immiglf nativelf, by(survey edcode);

generate percent=immiglf/(immiglf+nativelf);
tabulate survey edcode, sum(percent) me noobs nofreq;


log close;
